$(function() {
    // 网址管理图片ajax上传
    $('[nctype="ajaxupfile"]').unbind().bind('change', function(){
        var id = $(this).attr('id'), filetype = $(this).attr('filetype'), maxsize = $(this).attr('maxsize'),path=$('#path').val();
        var canUpload = checkUplodFile(this, filetype, maxsize);
        if(canUpload){
            ajaxFileUpload(id,filetype, maxsize,path);
        }
    });

    //前端检测文件上传的类型大小
    function checkUplodFile(file, filetype, maxsize) {
        var res = true;
        try{
            var files = file.files, realfilename = '', realfiletype='', realfilesize=0;

            for(var i=0;i<files.length;i++){
                var file_item = files[i], realfilename = file_item.name, realfiletype = getShortName(files[0].type, realfilename);
                realfilesize = files[0].size / 1024 / 1024;
            }
            if(files !== undefined){
                for(var i=0;i<files.length;i++){
                    var file_item = files[i], realfilename = file_item.name, realfiletype = getShortName(file_item.type, realfilename),realfilesize = file_item.size / 1024 / 1024;
                    if(!eval('/('+filetype+')/').test(realfiletype)){
                        alert('其中有文件类型不合法的文件，请使用（'+filetype+'）格式文件');
                        res= false;
                        return;
                    }
                    if(realfilesize > maxsize){
                        alert('其中有超出了限定大小的文件，请使用'+maxsize+'M以下文件');
                        res= false;
                        return;
                    }
                }
            }else{
                realfilename = file.value || files[0].getAsDataURL();
                realfiletype = getShortName('', realfilename);
                if(!eval('/('+filetype+')/').test(realfiletype)){
                    filetype = filetype.replace(/\|/g, ',');
                    alert('上传的文件类型不合法，请使用（'+filetype+'）格式文件');
                    res = false;
                }
                if(realfilesize > maxsize){
                    alert('上传的文件超出了限定大小，请使用'+maxsize+'M以下文件');
                    res = false;
                }
            }
        }catch(error){
            console.log(error.message);
        }

        return res;
    }

    /*获取文件后缀名*/
// filetype 文件mime类型
// filename 文件名
    function getShortName(filetype, filename) {
        var shortName = '';
        switch (filetype){
            case 'image/jpeg':
            case 'image/pjpeg':
                shortName = 'jpg';
                break;
            case 'image/gif':
                shortName = 'gif';
                break;
            case 'image/png':
            case 'image/xpng':
                shortName = 'png';
                break;
            case 'image/wbmp':
                shortName = 'bmp';
                break;
            default:
                if(filename.indexOf('.') > -1){
                    var fs = filename.split('.');
                    shortName = fs[fs.length - 1].toLowerCase();
                }
                break;
        }

        return shortName;
    }
    
  //图片上传ajax
    function ajaxFileUpload(id, filetype, maxsize,path) {
        $.ajaxFileUpload({
            url : 'ajax_upload_file.php',
            secureuri : false,
            fileElementId : id,
            dataType : 'json',
            data : {name : id, filetype : filetype, maxsize : maxsize,path : path},
            success : function (data, status) {
                if(data.state){
                    // previewImg：在上传页面自定义的图片上传成功的处理函数
                    previewImg(id, data.data);
                }else{
                    alert(data.errmsg);
                }

                // console.log(data, status);
                $.getScript('ajax/ajaxfileupload.handle_v2.js');
            },
            error : function (data, status, e) {
                alert(e);
                $.getScript('ajax/ajaxfileupload.handle_v2.js');
            }
        });
        return false;
    }
});